# Subman
## A self-hosted literary submission manager

I developed this project as a demonstration of my full-stack development abilities, utilizing:

- Nextjs
- Tailwind
- heavily customised Shadcn components
- an Sqlite database with Prisma ORM as intermediary

My previous attempt at this project was [a Nodejs server](https://projects.ajstepien.xyz/andrzej/sub-manager-backend) with [ a React frontend ](https://projects.ajstepien.xyz/andrzej/sub-manager-frontend), but this version is much better!

## What it does

Subman was inspired by my experiences submitting short fiction to magazines for publication. It allows the user to track where submissions are pending, in addition to meta-data such as genres, word count and so on. What you see here is the Minimum Shippable Product.



