import { ComponentProps } from "react"

export function PageHeader(props: ComponentProps<"h1">) {
  return <h1 className="text-3xl font-bold mt-3">{props.children}</h1>
}

export function PageSubHeader(props: ComponentProps<"h2">) {
  return <h2 className="text-xl font-bold">{props.children}</h2>
}
