import { ComponentProps } from "react";

export default function TitleContainer({ children }: ComponentProps<"div">) {
  let classes = "w-full text-left m-auto h-fit flex align-center text-xs md:text-sm"
  if (children == "RECORD DELETED") {
    classes = classes + " text-destructive font-bold"
  }
  return <p className={classes}>{children}</p>
}
