import { Genre } from "@prisma/client";
import { FilterFn, Row } from "@tanstack/react-table";

export const genrePickerFilterFn = (row: Row<any>, columnId: string, filterValue: any) => {

	const genres: Genre[] = row.getValue(columnId)

	for (let index = 0; index < genres.length; index++) {
		if (genres[genres.length - 1].name.includes(filterValue)) {
			return true
		}
	}
	return false
}
