import { getPubs } from "app/lib/get"
export default async function PubsDropdown() {
	const pubs = await getPubs()
	const pubsDropdown = pubs.map(e => {
		return <option value={e.id} key={e.title}>{e.title}</option>
	})
	return (<>
		<label htmlFor="pubdDropdown">Publication:</label>
		<select key="pubsDropdown" id="pubsDropdown">
			{pubsDropdown}
		</select>
	</>
	)

}
